LINUX.ORG.RU

Ubuntu прекращает формирование пакетов для 32-разрядной архитектуры x86

 , , ,


0

3

Спустя два года с момента прекращения формирования 32-разрядных установочных образов для архитектуры x86 разработчики Ubuntu приняли решение о полном завершении жизненного цикла данной архитектуры в дистрибутиве. Начиная с осеннего выпуска Ubuntu 19.10 пакеты в репозитории для архитектуры i386 больше формироваться не будут.

Последней LTS-веткой для пользователей 32-разрядных систем x86 станет Ubuntu 18.04, поддержка которой продлится до апреля 2023 года (по платной подписке до 2028 года). Все официальные редакции проекта (Xubuntu, Kubuntu, Lubuntu и т.п.), а также производные дистрибутивы (Linux Mint, Pop_OS, Zorin и т.п.) будут лишены возможности поставки версий для 32-разрядной архитектуры x86, так как собираются из общей пакетной базы c Ubuntu (большинство редакций уже прекратили поставку установочных образов для i386).

Для обеспечения запуска существующих 32-разрядных приложений, которые невозможно пересобрать для 64-разрядных систем (например, многие игры в Steam остаются только в 32-разрядных сборках), в окружении Ubuntu 19.10 и более новых выпусках предлагается использовать отдельное окружение с Ubuntu 18.04, установленное в контейнере или chroot, или упаковать приложение в snap-пакет с runtime библиотеками core18 на базе Ubuntu 18.04.

В качестве причины прекращения поддержки архитектуры i386 упоминается невозможность сопровождения пакетов на уровне других поддерживаемых в Ubuntu архитектур из-за недостаточного уровня поддержки в ядре Linux, инструментарии и браузерах. В частности, последние наработки в области повышения безопасности и средства защиты от фундаментальных уязвимостей больше не разрабатываются своевременно для 32-разрядных систем x86 и становятся доступны только для 64-разрядной архитектуры.

Кроме того, поддержание пакетной базы для i386 требует больших ресурсов на разработку и контроль качества, которые не оправдывают себя из-за незначительной пользовательской базы, продолжающей применять устаревшее оборудование. Число систем i386 оценивается в 1% от общего числа установленных систем. Большинство ПК и ноутбуков с процессорами Intel и AMD, выпущенные за последние 10 лет, без проблем могут быть переведены на использование 64-разрядного режима. Оборудование, которое не поддерживает 64-разрядный режим, уже настолько устарело, что не обладает необходимыми вычислительными ресурсам для выполнения последних выпусков Ubuntu Desktop.

>>> Подробности

anonymous

Проверено: Shaman007 ()

Ответ на: комментарий от anonymous

Где ты видел, чтобы пагрейдили чипсет отдельно ото всего? И зачем?

Новые чипсеты амуде выпустили одновременно с новыми райзенами. Да, сокет остался тем же и совместимым, но как бы все новые возможности управления питанием/частотой/т.п. они в новом чипсете.

Ну заменю я только процессор и мне будут недоступны некоторые возможности?

anonymous ()
Ответ на: комментарий от deep-purple

Говнокодеры не хотят мучиться с отсутствием MMX и SSE2 для устройств 20летней давности. А во всех amd64 оно есть.

Вон arch32 перешел на архитектуру pentium4 для 32 разрядов, так как i686 проще закопать, чем поддерживать.

One ★★★ ()
Ответ на: комментарий от anonymous

мне будут недоступны некоторые возможности?

Довольно сомнительные и только в части авторазгона.

anonymous ()
Ответ на: комментарий от duott

за счет WOW64 или как его там. MS так просто от совместимости не отказывается, у них иногда возможности просто нет.

anonymous ()
Ответ на: комментарий от anonymous

может я для этого и апгрейдился? :)

насколько я помню там было не только про разгон, но и про более продвинутое управление питанием в целом. Не буду спорить, насколько оно сомнительно.

anonymous ()

Все верно, давно пора выгнать этот атавизм.

Другое дело, что внутри контейнеров еще есть ниша для x86. Там памяти может быть мало, например, 50 контейнеров по 128 мб, а требования к экономности высокие.

AVL2 ★★★★★ ()
Ответ на: комментарий от AVL2

KSM эти ваши контейнеры поддерживают? Как раз для такого фича.

anonymous ()
Ответ на: комментарий от iluha16

Хм. А «небинарных» дистрибутивов сколько всего в природе ? И как source-based дистрибутив облегчает жизнь пользователю 32-битных систем ? Они и на 64 битных процах конпеляются днями, что уж там о старых 32-битных системах говорить ...

DawnCaster ()
Ответ на: комментарий от anonymous

MS так просто от совместимости не отказывается

Это как раз тот редкий случай, когда MS можно сказать «спасибо».

hobbit ★★★★★ ()
Ответ на: комментарий от One

отсутствием MMX и SSE2

Разработчики Ubuntu Desktop работают на таком низком уровне? Не смеши.

20летней давности

У меня есть 10 летней давности 32 бита, работает, и там, кажется, есть MMX и SSE2 (могу включить и посмотреть точно).

deep-purple ★★★★★ ()
Ответ на: комментарий от DawnCaster

в гоге и стиме игры покупать.

Вау. И все прям свободные? Помоему, вы - бредите :)

DrRulez ()
Ответ на: комментарий от IPR

Зачем выбрасывать и менять то, что прекрасно справляется со своими задачами?

А с какими, позвольте спросить? Нет. Мне реально интересно, с какими такими современными задачами нормально справляется барахло 2008-го года выпуска.

DrRulez ()
Ответ на: комментарий от deep-purple

Компиляторы и библиотеки, используемые этим разработчиками, работают на таком низком уровне.

anonymous ()
Ответ на: комментарий от anonymous

может я для этого и апгрейдился? :)

Да никто не запрещает обновить и материнку. Опять же PCIE 4.0 завезли, и в новые платы завезли в полном объёме (здесь чипсет имеет значение).

Управление питанием не в чипсете, оно в прошивке (UEFI). Тут уже скорее зависит от производителей плат.

anonymous ()
Ответ на: комментарий от DawnCaster

Можно ведь его, в конце-концов, как NAS юзать. У меня так даже старый P4, который под 478 сокет, работает. (пришлось только карточку с гигабитным езернетом докупить)

А контроллер дисков вам еще не пришлось докупить? Или на диски более 2Тб денег не хватило уже?

DrRulez ()
Ответ на: комментарий от deep-purple

там, кажется, есть

В коде - практически нету. Тк под 32бита все компилят совместимо pentium pro или ещё какой древней хламотой и аналогично древними abi древнего бинарного софта.

anonymous ()
Ответ на: комментарий от anonymous

Компиляторы и библиотеки, используемые разработчиками Ubuntu Desktop, работают на таком низком уровне

Почему разработчики компиляторов и библиотек не викидывают поддержку 32 бит? Какого хера какие-то «верхоплавки», которым, по сути, плевать как оно там собирается на низком уровне, решают такие вопросы? Да это же нонсенс, батенька.

deep-purple ★★★★★ ()
Ответ на: комментарий от deep-purple

Ш О В М Е С Т И М О С Т Ь бинарная.

anonymous ()
Ответ на: комментарий от Barracuda72

Это, на секундочку, Core i7 2700K/3770K, которые и многим современным затычкам для сокета фору дадут.

В том классе, в котором они были - нет. А так - если их по делу использовали, они окупились давно, так что - да. Пора. Электричество лучше потратить на более производительное железо.

DrRulez ()
Ответ на: комментарий от anonymous

В коде - практически нету

Так тем более не понятно почему идут в отказ.

deep-purple ★★★★★ ()
Ответ на: комментарий от anonymous

Это и так понятно. Но я не просил отвечать на вопросы, тем более только на первый, который был затравкой для второго.

deep-purple ★★★★★ ()
Ответ на: комментарий от deep-purple

x87 fpu программируется по-другому, чем sse2, тк не соответствует IEEE 754 на самом деле. Это самый распространённый гемор.

anonymous ()

да пофиг, 18.04 еще минимум 4 года проживет. У меня после обновления с 16.04 на 18.04 половина программ отвалилась.

dicos ()
Ответ на: комментарий от stetzen

Ну у моей сестры стоит Core 2 Quad в качестве десктопа. Окей, там аж целых 8 гигов памяти и ССД, но он просто работает и не жужжит. Пара десятков вкладок в Хроме плюс фотошоп под десяточкой - да, чуть подтормаживает

У меня есть стойкое предположение, что в фотошопе ваша сестра ничего серьезного - не делает. Иначе вы такую ху-ю не писали-бы тут. Люди, кто там серьезно работает, за оперативу, образно говоря, пасть порвут. А вы тут про хром, который сам по себе память жрет, как не в себя, и фотошоп на 8ми гигах вещаете.

DrRulez ()
Ответ на: комментарий от anonymous

Какие препоны этот гемор (уже разруленый на уровне либ и компиляторов) ставит убунтудистрибуторам?

deep-purple ★★★★★ ()
Ответ на: комментарий от deep-purple

Например типично проваливаются тесты (из-за отличающейся работы fpu), и для тестов ставят пометки, что для x86 это так и должно быть.

anonymous ()
Ответ на: комментарий от deep-purple

для устройств без 64битов, но с поддержкой mmx sse2 и перешли в арчике на архитектуру pentium4 или для тех, у кого 2гб памяти и старый атом. Но думаю, что недолго подергаются и закроют проект.

Webkit и webkit2gtk бросили поддержку устройств без sse2 https://bugs.webkit.org/show_bug.cgi?id=194853 firefox бросил поддержку устройств без sse2 https://support.mozilla.org/en-US/kb/your-hardware-no-longer-supported

One ★★★ ()
Ответ на: комментарий от anonymous

Классные вещи вскрываешь! Вместо того, чтобы написать и использовать такие тесты, которые не проваливаются — используются костыли.

deep-purple ★★★★★ ()
Ответ на: комментарий от deep-purple

Ну вот, видишь, уже требуется отдельная работа, а ты говорил что нет. Тем более ничего не нужно писать, когда можно просто поставить 64бит, и всё будет быстрее работать вдобавок.

anonymous ()
Ответ на: комментарий от One

Но у меня есть sse2. Да мы и не про фф, а про убунту. Вобщем, плохой пример.

deep-purple ★★★★★ ()
Ответ на: комментарий от anonymous

требуется отдельная работа

Требовалась, единоразовая, лет десять назад, ато и больше. Но нет — костыляем.

можно просто поставить 64бит, и всё будет быстрее работать

Это не первопричинная заслуга 64 бит.

deep-purple ★★★★★ ()
Последнее исправление: deep-purple (всего исправлений: 1)

Это было ожидаемо, но не смертельно. К счастью, у Линукса много дистрибутивов и Убунту я давно перерос.

anonymous ()
Ответ на: комментарий от DrRulez

А причём тут свободные ? Отсутствие DRM в гоге - для меня этого достаточно. А консоль превратится в тыкву после отключения интернета или серверов компании производителя - как минимум не будет никаких апдейтов на игры (а мы все знаем какого они сейчас качества на старте продаж, и, соответственно, на болванках), а как максимум - кирпич, который не запустить без активации и\или логина.

DawnCaster ()
Ответ на: комментарий от deep-purple

Единоразовая она может быть, если ты пользуешься только софтом, написанным 10лет назад. Я думаю это не так.

Это не первопричинная заслуга 64 бит.

Это прямая заслуга x86_64 (да-да, сама по себе архитектура для этого недостаточна, но необходима).

anonymous ()
Ответ на: комментарий от deep-purple

Так как они заведут свежий webkit и webkit2gtk, если для сборки нужен SSE2? ffmpeg давно уже с костылями.

Путь только в извращение с поддержкой более свежей архитектуры, а это еще меньше пользователей.

One ★★★ ()
Ответ на: комментарий от DawnCaster

3Tb — потолок на старых контроллерах.

anonymous ()
Ответ на: комментарий от DrRulez

как у самого есть пара 32=бит приложений из-за которых и держится вайн. Не говоря уже про мс-офис, адекватной замены которому, как бы не вопили сторонник либры -нет.

MSO как минимум с версии 2010 есть в виде x64.

Radjah ★★★★★ ()
Ответ на: комментарий от DawnCaster

Чет я не слышал особо про блокировку консолей, за исключением случаев, когда блокировали взломанные. А на тему обновлений игр, так при описанном вами случае, что пк, что консоль - 1 фиг. Померла компания производитель игры - нет обновлений. А вот в то, что загнется сони, или там майки, я крайне слабо верю :)

DrRulez ()
Ответ на: комментарий от DawnCaster

А какой там контроллер дисков у вас стоит, уважаемый? Вот как ответите на этот вопрос, так и ответите на свой.

DrRulez ()
Ответ на: комментарий от anonymous

Единоразовая она может быть, если ты пользуешься только софтом, написанным 10лет назад

А 10 лет назад ещё не было 64 бита и не требовались не фейлящиеся тесты? Требовались. Тогда о чем ты?

архитектура для этого недостаточна, но необходима

Но мультиарх совместимость то есть. Не вижу причин (кроме лени) в отказе от 32 бит, тем более не в либах и ядре, а в верхнем уровне использования.

deep-purple ★★★★★ ()
Ответ на: комментарий от One

Я тебя не понимать. Ну нужен этот sse2 для 32 бит, ну так собери с ним, ёпт.

deep-purple ★★★★★ ()
Ответ на: комментарий от Radjah

Дело не в том, в какой версии есть офис, а в том, в какой версии он нормально работает под вайном. А версия 2010, мягко говоря, уже не годится, потому как люди в массе своей уже сидеть под office 365 и сохраняют документы в новом формате. Посему 2010 - не катит уже.

DrRulez ()
Ответ на: комментарий от deep-purple

Десять лет назад не было софта, кторый написали сейчас и нужно тестировать.

Не вижу причин (кроме лени

Оплачивать будешь? Нет? Ну на нет и суда нет.

anonymous ()
Ответ на: комментарий от deep-purple

Это так не работает, тк это сломает abi. Придётся держать по две версии уже 32бит библиотек, когда и одну-то выкидывают.

anonymous ()
Ответ на: комментарий от anonymous

Оплачивать будешь? Нет? Ну на нет и суда нет.

Что ты несешь? Им зарплату платят (не важно с чего, донаты, мерч, поддержка). Другое дело — рядовой разраб сам себе не хозяин и команда, куда грести веслом, приходит сверху.

deep-purple ★★★★★ ()
Ответ на: комментарий от anonymous

Так мы про либы или про софт, собираемый с этими (уже собраными) либами?

deep-purple ★★★★★ ()
Ответ на: комментарий от deep-purple

Им зарплату платят (не важно с чего, донаты, мерч, поддержка).

Платят. И за неё они не будут заниматься не профильными вещами.

anonymous ()
Ответ на: комментарий от deep-purple

Зарплату платят не за поддержку старого хлама: в требованиях софта ясно пишут linux/windows 64бит, а то и минимально поддерживаемый проц и количество озу.

anonymous ()

Оборудование, которое не поддерживает 64-разрядный режим, уже настолько устарело, что не обладает необходимыми вычислительными ресурсам для выполнения последних выпусков Ubuntu Desktop

Если они про GNOME, то конечно. Но не гномом единым...

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.